# Retrieve all branches

Lists all available branches.

Endpoint: GET /api/v2/cm/branches
Version: v2.0
Security: OAuth2.0

## Security:

  - `OAuth2.0` (unknown)
    oauth2

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `totalCount` (integer)

  - `data` (array)

  - `data.id` (string)

  - `data.source` (string)

  - `data.name` (string)

  - `data.path` (string)

  - `data.system` (object, required)

  - `data.system.type` (string, required)

  - `data.system.hash` (string, required)

  - `data.system.createdAt` (string, required)

  - `data.system.createdBy` (string, required)

  - `data.system.updatedAt` (string)

  - `data.system.updatedBy` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request or invalid access token

## Response 401 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 403:

  - `403` (unknown)
    Request does not contain required scopes

## Response 403 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 500:

  - `500` (unknown)
    Server-side exception during request execution

